Page MenuHomePhabricator

Adding a qualifier/source to a new statement should have auto-suggest for the property
Closed, DuplicatePublic

Description

When I modify a already existing statement and click add qualifier the property-selector will show me the properties most commonly used as qualifiers for this property.
But if I instead add a new statement and after filling out the property and value click on add qualifier I do not get suggestions but have to search the property by hand. This should suggest like in the first case.

The same applies for the sources.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2018, 2:38 AM

Because of this I currently add statements in two edits: first only the base-statement, save this and then edit again to add the qualifiers. This (click save, wait until it's saved, click edit) is faster than typing the name of the property. When adding hundres of statements by hands this time-difference does matter (mostly in form of annoyance)! But this hack is also not ideal since a) it's still slower than it should be and b) it creates two ugly revisions in the history!

MichaelSchoenitzer renamed this task from Adding a qualifier to a new statement should have auto-suggest for the property. to Adding a qualifier/source to a new statement should have auto-suggest for the property..Jun 23 2018, 3:23 AM
MichaelSchoenitzer updated the task description. (Show Details)

I think the problem here is that when you add a new statement and add qualifiers or sources it doesn't know which property you're adding (as it uses an api query if I'm not mistaken).

Vvjjkkii renamed this task from Adding a qualifier/source to a new statement should have auto-suggest for the property. to hfaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
MichaelSchoenitzer renamed this task from hfaaaaaaaa to Adding a qualifier/source to a new statement should have auto-suggest for the property.Jul 1 2018, 10:55 AM
MichaelSchoenitzer raised the priority of this task from High to Needs Triage.
MichaelSchoenitzer updated the task description. (Show Details)
CommunityTechBot closed this task as a duplicate.Jul 5 2018, 7:05 PM